Description: Convert sl08.py to Python 3
Author: Moritz Muehlenhoff <jmm@debian.org>
Bug-Debian: https://bugs.debian.org/936245

--- btanks-0.9.8083.orig/engine/sl08/sl08.py
+++ btanks-0.9.8083/engine/sl08/sl08.py
@@ -26,7 +26,7 @@ class Generator(object):
 		
 	def prototype(self, proto):	
 		r = '('
-		for i in xrange(0, self.__n): 
+		for i in range(0, self.__n): 
 			if proto: 
 				r = r + "arg%d_type " %(i + 1)
 			r = r + "a%d" %(i + 1)
@@ -41,14 +41,14 @@ class Generator(object):
 			r = '<typename return_type'
 		
 		if cname == 'base-signal': 
-			for i in xrange(0, self.__n): 
+			for i in range(0, self.__n): 
 				if not void or i > 0:
 					r = r + ", "
 				r = r + "typename arg%d_type" %(i + 1)
 			r = r + ">"
 			return r
 		elif cname == 'signal': 
-			for i in xrange(0, self.__n): 
+			for i in range(0, self.__n): 
 				if not void or i > 0:
 					r = r + ", "
 				r = r + "typename arg%d_type" %(i + 1)
@@ -61,7 +61,7 @@ class Generator(object):
 				r = r + "class validator_type = default_validator<return_type> >"
 			return r
 		elif cname == 'slot': 
-			for i in xrange(0, self.__n): 
+			for i in range(0, self.__n): 
 				if not void or i > 0:
 					r = r + ", "
 				r = r + "typename arg%d_type" %(i + 1)
@@ -70,7 +70,7 @@ class Generator(object):
 			r = r + "class object_type>"
 			return r
 		elif cname == 'base-slot': 
-			for i in xrange(0, self.__n): 
+			for i in range(0, self.__n): 
 				if not void or i > 0:
 					r = r + ", "
 				r = r + "typename arg%d_type" %(i + 1)
@@ -86,22 +86,22 @@ class Generator(object):
 			r = '<return_type'
 		
 		if cname == 'base-signal': 
-			for i in xrange(0, self.__n): 
+			for i in range(0, self.__n): 
 				r = r + ", arg%d_type" %(i + 1)
 			r = r + ">"
 			return r
 		elif cname == 'signal': 
-			for i in xrange(0, self.__n): 
+			for i in range(0, self.__n): 
 				r = r + ", arg%d_type" %(i + 1)
 			r = r + ", validator_type>"
 			return r
 		elif cname == 'slot': 
-			for i in xrange(0, self.__n): 
+			for i in range(0, self.__n): 
 				r = r + ", arg%d_type" %(i + 1)
 			r = r + ", object_type>"
 			return r
 		elif cname == 'base-slot': 
-			for i in xrange(0, self.__n): 
+			for i in range(0, self.__n): 
 				r = r + ", arg%d_type" %(i + 1)
 			r = r + ">"
 			return r
@@ -329,11 +329,11 @@ class Generator(object):
 		
 
 text = ''
-for i in xrange(0, 6):
+for i in range(0, 6):
 	g = Generator(i)
 	text = text + "\n" + g.generate(); 
 
-print """#ifndef BTANKS_SL08_SLOTSANDSIGNALS_H__
+print("""#ifndef BTANKS_SL08_SLOTSANDSIGNALS_H__
 #define BTANKS_SL08_SLOTSANDSIGNALS_H__
 
 /* sl08 - small slot/signals library
@@ -387,5 +387,5 @@ namespace sl08 {
 }
 
 #endif
-""" %(text);
+""" %(text));
 
